Package twisted :: Package manhole :: Module telnet :: Class ShellFactory |
[frames | no frames]

## Class ShellFactory

    Factory --+
              |
             ShellFactory

Method Summary
| `__init__(self)`
| ``__getstate__`(self)` This returns the persistent state of this shell factory.
| `setService(self, service)`
Inherited from Factory
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`str` | `password` = `'admin'`
`class` | `protocol` = `twisted.manhole.telnet.Shell`
`NoneType` | `service` = None
`str` | `username` = `'admin'`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Method Details

### __getstate__(self) This returns the persistent state of this shell factory.

Class Variable Details

    ### password Type: `str` Value:
        'admin'

    ### service Type: `NoneType` Value:
        None

    ### username Type: `str` Value:
        'admin'

Generated by Epydoc 2.0 on Sat Oct 25 00:55:12 2003 | http://epydoc.sf.net